Subject: [Cfrg] Designing a CMAC password challenge/response

From: Robert Moskowitz <[email-masked]>
Date: Tue, 18 May 2010 12:52:27 -0400

I see this is HARD.  The one-wayness of hashing is an important 
component of a password challenge/response.

So let's ASSuME that this is not exposed to in the air interception and 
then dictionary attack.  There is the concern about 'door knockers'. 
This protection can be gained by encrypting the response with the 
challenger's public key (as in TLS or HIP).

Again, I turn to RFC 4615 for some guidance.

The password is fed into the first portion of 4615:

VK := password
K := AES-CMAC(0128, VK, VKlen)

The challenge can then by processed in the second portion:

RESPONSE := AES-CMAC(K, Challenge, len)

Challenge must be at least the size of CMAC blocksize.  In fact it 
probably should be bigger, so some info needs to be concatinated to it. 
  The addresses (common practice for info) could be used...

But is there soemthing else out there that I have not found in my browsings?